<?php

namespace App\Model\Entities\Security;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="battle_net_account")
 */
class BattleNetAccount extends BaseAuthenticationEntity
{
    /**
     * @ORM\Column(type="string", unique=true)
     */
    protected $accessToken;


    /**
     * @ORM\Column(type="integer", unique=true)
     */
    protected $battleNetId;

    /**
     * @ORM\Column(type="string", unique=true)
     */
    protected $battleTag;

    /**
     * BattleNetAccount constructor.
     * @param $battleNetId
     * @param $battleTag
     */
    public function __construct($battleNetId, $battleTag)
    {
        parent::__construct();

        $this->battleNetId = $battleNetId;
        $this->battleTag = $battleTag;
    }

    /**
     * @return mixed
     */
    public function getBattleNetId()
    {
        return $this->battleNetId;
    }

    /**
     * @return mixed
     */
    public function getBattleTag()
    {
        return $this->battleTag;
    }

    /**
     * @return mixed
     */
    public function getAccessToken()
    {
        return $this->accessToken;
    }

    /**
     * @param mixed $accessToken
     */
    public function setAccessToken($accessToken)
    {
        $this->accessToken = $accessToken;
    }
}